=== modified file 'Makefile.am'
--- Makefile.am	2012-04-26 20:07:28 +0000
+++ Makefile.am	2012-05-03 00:25:16 +0000
@@ -40,43 +40,4 @@
 			echo Failed to generate AUTHORS: not a branch >&2; \
 	fi
 
-TESTS = \
-	test-ellipsis \
-	test-space-ellipsis \
-	test-ascii-quotes
-
-#####
-# Tests for there being proper ellipsis instead of three periods in a row
-#####
-test-ellipsis: po
-	@echo "#!/bin/bash" > $@
-	@echo "(cd po && make $(GETTEXT_PACKAGE).pot)" >> $@
-	@echo "grep -c -e \"^msgid.*\.\.\.\\\"\" po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"Ellipsis found in user visible strings\" >&2 && exit 1" >> $@
-	@echo "exit 0" >> $@
-	@chmod +x $@
-
-#####
-# Tests for there being a space before an ellipsis
-#####
-test-space-ellipsis: po
-	@echo "#!/bin/bash" > $@
-	@echo "(cd po && make $(GETTEXT_PACKAGE).pot)" >> $@
-	@echo "grep -c -e \"^msgid.* …\\\"\" po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"Space before ellipsis found in user visible strings\" >&2 && exit 1" >> $@
-	@echo "exit 0" >> $@
-	@chmod +x $@
-
-#####
-# Tests for ASCII quote types
-#####
-test-ascii-quotes: po
-	@echo "#!/bin/bash" > $@
-	@echo "(cd po && make $(GETTEXT_PACKAGE).pot)" >> $@
-	@echo "grep -c -e \"^msgid \\\".*'.*\\\"\" po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"ASCII apostrophy found in user visible strings\" >&2 && exit 1" >> $@
-	@echo "grep -c -e \"^msgid \\\".*\\\".*\\\"\" po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"ASCII quote found in user visible strings\" >&2 && exit 1" >> $@
-	@echo "grep -c -e \"^msgid \\\".*\\\`.*\\\"\" po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"ASCII backtick found in user visible strings\" >&2 && exit 1" >> $@
-	@echo "exit 0" >> $@
-	@chmod +x $@
-
-CLEANFILES = $(TESTS)
-
 include $(top_srcdir)/Makefile.am.coverage

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2012-04-27 20:17:47 +0000
+++ tests/Makefile.am	2012-05-03 00:25:16 +0000
@@ -1,3 +1,8 @@
+TESTS =
+CLEANFILES =
+
+# stock UMB tests on user-visible strings
+include $(srcdir)/Makefile.am.strings
 
 AM_CPPFLAGS = \
 	$(GTEST_CPPFLAGS) \

=== added file 'tests/Makefile.am.strings'
--- tests/Makefile.am.strings	1970-01-01 00:00:00 +0000
+++ tests/Makefile.am.strings	2012-05-03 00:25:16 +0000
@@ -0,0 +1,38 @@
+TESTS += \
+	test-ellipsis \
+	test-space-ellipsis \
+	test-ascii-quotes
+
+#####
+# Tests for there being proper ellipsis instead of three periods in a row
+#####
+test-ellipsis: $(top_srcdir)/po
+	@echo "#!/bin/bash" > $@
+	@echo "(cd $(top_srcdir)/po && make $(GETTEXT_PACKAGE).pot)" >> $@
+	@echo "grep -c -e \"^msgid.*\.\.\.\\\"\" $(top_srcdir)/po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"Ellipsis found in user visible strings\" >&2 && exit 1" >> $@
+	@echo "exit 0" >> $@
+	@chmod +x $@
+
+#####
+# Tests for there being a space before an ellipsis
+#####
+test-space-ellipsis: $(top_srcdir)/po
+	@echo "#!/bin/bash" > $@
+	@echo "(cd $(top_srcdir)/po && make $(GETTEXT_PACKAGE).pot)" >> $@
+	@echo "grep -c -e \"^msgid.* …\\\"\" $(top_srcdir)/po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"Space before ellipsis found in user visible strings\" >&2 && exit 1" >> $@
+	@echo "exit 0" >> $@
+	@chmod +x $@
+
+#####
+# Tests for ASCII quote types
+#####
+test-ascii-quotes: $(top_srcdir)/po
+	@echo "#!/bin/bash" > $@
+	@echo "(cd $(top_srcdir)/po && make $(GETTEXT_PACKAGE).pot)" >> $@
+	@echo "grep -c -e \"^msgid \\\".*'.*\\\"\" $(top_srcdir)/po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"ASCII apostrophy found in user visible strings\" >&2 && exit 1" >> $@
+	@echo "grep -c -e \"^msgid \\\".*\\\".*\\\"\" $(top_srcdir)/po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"ASCII quote found in user visible strings\" >&2 && exit 1" >> $@
+	@echo "grep -c -e \"^msgid \\\".*\\\`.*\\\"\" $(top_srcdir)/po/$(GETTEXT_PACKAGE).pot > /dev/null && echo \"ASCII backtick found in user visible strings\" >&2 && exit 1" >> $@
+	@echo "exit 0" >> $@
+	@chmod +x $@
+
+CLEANFILES += $(TESTS)

